_S3DW_SCROLLBAR(9)

NAME
s3dw_scrollbar - scrollbar of s3d widget

SYNOPSIS

#include <s3dw.h>

STRUCTURE MEMBERS

    struct _s3dw_scrollbar {
    	s3dw_widget widget;
    	float pos;
    	float max;
    	int type;
    	int loid;
    	int roid;
    	int baroid;
    	s3dw_callback lonclick;
    	s3dw_callback ronclick;
    }

DESCRIPTION

The Scrollbar should be placed around scrollable content. Currently only the left and right icons are clickable (lonclick and ronclick callbacks), in vertical mode lonclick is the callback for the up icon, ronclick the callback for the down icon.

AUTHOR

Simon Wunderlich
    Author of s3d